Error of Ftools shape files combination with Japanese file-name

2011-12-10 11:08 PM - Masaru Narazaki Narazaki

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14531

Description

If we Japanese chose no check of “Adding the new result layer to mapcamvas” of defining the transformation settings like adding first

JPEG file including Japanese file name at combination shape filles, we can get correct result. But if we chose the check of  “Adding the

new result layer to mapcanvas” , “error of invalid data source” showed second JPEG file appeares, (though we can get correct output

georeferencing file.) Please take out the error of second JPEG file.

History

#1 - 2012-05-29 11:02 AM - Salvatore Larosa

- Crashes QGIS or corrupts data set to No

- Pull Request or Patch supplied changed from No to Yes

- Affected QGIS version set to master

Can you try with this patch?

[256] + print unicode(layer_name, errors='ignore')

[---] - print unicode(layer_name)

changing line in ftools_utils.py!

#2 - 2012-05-30 01:07 AM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2012-09-04 11:55 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2013-07-04 10:19 PM - Minoru Akagi

- Status changed from Feedback to Closed

No problem with master, so I'm closing this. Please reopen if necessary.

#5 - 2013-07-05 12:12 AM - Giovanni Manghi

- Resolution set to fixed

#6 - 2017-05-01 01:22 AM - Giovanni Manghi
The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
